function [p pmax pmin pn]=improd(f,g)
%IMPROD(F,G) Computes trhe product of the image
%fdstrsdtrdt
%jhbvjhvjh
%hgchgfhg

fd = double(f);
gd =double(g);
p = fd.*gd;
%pmax = max(max(p));
pmax= max(p(:))
pmin = min(p(:))
pn = mat2gray(p);